Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::HTMLParser Class Reference

`#include <HTMLParser.h>`

## Public Member Functions
| HTMLParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *document, bool xhtml)
void | parse ()

## Private Member Functions
| HTMLParser (const HTMLParser &other)
HTMLParser & | operator= (const HTMLParser &other)

## Private Attributes
librevenge::RVNGInputStream *const | m_input
librevenge::RVNGTextInterface *const | m_document
const bool | m_xhtml

## Constructor & Destructor Documentation

## § HTMLParser() [1/2]

libebook::HTMLParser::HTMLParser | ( | const HTMLParser & | other | ) |
| private

## § HTMLParser() [2/2]

libebook::HTMLParser::HTMLParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | document,
|  | bool | xhtml
| ) |  |

## Member Function Documentation

## § operator=()

HTMLParser& libebook::HTMLParser::operator= | ( | const HTMLParser & | other | ) |
| private

## § parse()

void libebook::HTMLParser::parse | ( |  | ) |

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* const libebook::HTMLParser::m_document
| private

Referenced by parse().

## § m_input

librevenge::RVNGInputStream* const libebook::HTMLParser::m_input
| private

Referenced by HTMLParser(), and parse().

## § m_xhtml

const bool libebook::HTMLParser::m_xhtml
| private

Referenced by parse().

The documentation for this class was generated from the following files:

- HTMLParser.h
- HTMLParser.cpp